FLTK 1.4.4

Loading...
Searching...
No Matches
fl_attr.h File Reference

This file defines compiler-specific macros. More...

Go to the source code of this file.

## Macros
#define | __fl_attr(x)
| This section lists macros for Doxygen documentation only.
#define | FL_DEPRECATED(msg, func)
| Enclosing a function or method in FL_DEPRECATED marks it as no longer recommended.
#define | FL_OVERRIDE override
| This macro makes it safe to use the C++11 keyword `override` with older compilers.

## Detailed Description

This file defines compiler-specific macros.

## Macro Definition Documentation

## ◆ __fl_attr

#define __fl_attr | ( |  | x | ) |

This section lists macros for Doxygen documentation only.

The next section will define the actual macros based on the compile used and based on the capabilities of the version of that compiler. To be used in prototypes with a variable list of arguments. This macro helps detection of mismatches between format string and argument list at compilation time.

Usage example: FL/fl_ask.H

## ◆ FL_DEPRECATED

#define FL_DEPRECATED | ( |  | msg,
|  |  | func )

Value:
/##*##* \deprecated msg *##/ \
func

Enclosing a function or method in FL_DEPRECATED marks it as no longer recommended.

This macro syntax can not be used if the return type contains a comma, which is not the case in FLTK.

FL_DEPRECATED("Outdated, don't use", int position()) { return position_; }
FL_DEPRECATED
#define FL_DEPRECATED(msg, func)
Enclosing a function or method in FL_DEPRECATED marks it as no longer recommended.
Definition fl_attr.h:57